package net.sf.webdav;

public interface ResourceLocks {

    /**
     * trys to lock the resource at "path".
     * 
     * 
     * @param path
     *            what resource to lock
     * @param owner
     *            the owner of the lock
     * @param exclusive
     *            if the lock should be exclusive (or shared)
     * @return true if the resource at path was successfully locked, false if an
     *         existing lock prevented this
     * @param depth depth
     */
    boolean lock(String path, String owner, boolean exclusive, int depth);

    /**
     * unlocks all resources at "path" (and all subfolders if existing)<p/>
     * that have the same owner
     * 
     * @param path
     *            what resource to unlock
     * @param owner
     *            who wants to unlock
     */
    void unlock(String path, String owner);

}